Package anbxj

# Enum Class AnBx_Layers

java.lang.Object
java.lang.Enum<AnBx_Layers>
anbxj.AnBx_Layers

All Implemented Interfaces:
  `Serializable`, `Comparable<AnBx_Layers>`, `Constable`

public enum AnBx_Layers extends Enum<AnBx_Layers>
AnBx Debug/Logging layers.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  AnBx Debug/Logging layer that is always active.
  `APPLICATION`
  AnBx Debug/Logging layer for application-related operations.
  `BUSINESS_LOGIC`
  AnBx Debug/Logging layer for business logic-related operations.
  `ENCRYPTION`
  AnBx Debug/Logging layer for encryption-related operations.
  `EXCEPTION`
  AnBx Debug/Logging layer for handling exceptions.
  `LANGUAGE`
  AnBx Debug/Logging layer for language-related operations.
  `NETWORK`
  AnBx Debug/Logging layer for network-related operations.
  `PROTOCOL`
  AnBx Debug/Logging layer for protocol-related operations.
  `SESSION`
  AnBx Debug/Logging layer for session-related operations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnBx_Layers`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnBx_Layers[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NETWORK

    public static final AnBx_Layers NETWORK
    AnBx Debug/Logging layer for network-related operations.

  - ### ENCRYPTION

    public static final AnBx_Layers ENCRYPTION
    AnBx Debug/Logging layer for encryption-related operations.

  - ### LANGUAGE

    public static final AnBx_Layers LANGUAGE
    AnBx Debug/Logging layer for language-related operations.

  - ### SESSION

    public static final AnBx_Layers SESSION
    AnBx Debug/Logging layer for session-related operations.

  - ### PROTOCOL

    public static final AnBx_Layers PROTOCOL
    AnBx Debug/Logging layer for protocol-related operations.

  - ### BUSINESS_LOGIC

    public static final AnBx_Layers BUSINESS_LOGIC
    AnBx Debug/Logging layer for business logic-related operations.

  - ### APPLICATION

    public static final AnBx_Layers APPLICATION
    AnBx Debug/Logging layer for application-related operations.

  - ### ALWAYS

    public static final AnBx_Layers ALWAYS
    AnBx Debug/Logging layer that is always active.

  - ### EXCEPTION

    public static final AnBx_Layers EXCEPTION
    AnBx Debug/Logging layer for handling exceptions.

- ## Method Details

  - ### values

    public static AnBx_Layers[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnBx_Layers valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null